Package org.apache.avro

# Class Resolver.Action

java.lang.Object
org.apache.avro.Resolver.Action

Direct Known Subclasses:
  `Resolver.Container`, `Resolver.DoNothing`, `Resolver.EnumAdjust`, `Resolver.ErrorAction`, `Resolver.Promote`, `Resolver.ReaderUnion`, `Resolver.RecordAdjust`, `Resolver.Skip`, `Resolver.WriterUnion`

Enclosing class:
  `Resolver`

public abstract static class Resolver.Action extends Object
An abstract class for an action to be taken to resolve a writer's schema (found in public instance variable `writer`) against a reader's schema (in `reader`). Ordinarily, neither field can be `null`, except that the `reader` field can be `null` in a `Resolver.Skip`, which is used to skip a field in a writer's record that doesn't exist in the reader's (and thus there is no reader schema to resolve to).

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Resolver.Action.Type`
Helps us traverse faster.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Conversion<?>`
`conversion`
If the reader has a conversion that needs to be applied, it's stored here for fast access, otherwise this will be null.
`final LogicalType`
`logicalType`
If the reader has a logical type, it's stored here for fast access, otherwise this will be null.
`final Schema`
`reader`
`final Resolver.Action.Type`
`type`
`final Schema`
`writer`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Action(Schema w, Schema r, GenericData data, Resolver.Action.Type t)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### writer

public final Schema writer

### reader

public final Schema reader

### type

public final Resolver.Action.Type type

### logicalType

public final LogicalType logicalType
If the reader has a logical type, it's stored here for fast access, otherwise this will be null.

### conversion

public final Conversion<?> conversion
If the reader has a conversion that needs to be applied, it's stored here for fast access, otherwise this will be null.

## Constructor Details

### Action

protected Action(Schema w, Schema r, GenericData data, Resolver.Action.Type t)